Hi all, is it possible to read attributes or properties from the _DWGPROPS and list them in a Lisp e.g. as variables?
I need the yellow marked attribute (OD2485), which always has a different number.
(defun c:dropsforatts ()
(setq (vla-get-ActiveDocument
(vlax-get-acad-object))
(vla-get-SummaryInfo doc)
)
(setq i 0)
(setq i 5)
)
I would then like to insert this variable into a file path in a Lisp.
(defun c:tempsave ()
(getvar "DWGNAME")
(getvar "DWGPREFIX")
(command "_+saveas"
"G"
"2018dwg"
"2018(LT2018)"
("F:\\\\Clients\\CT2485\\OD2485\\Planning" ;i need the OD2485 as a variabel from the DWGPROPS
(strcat (substr (getvar "DWGNAME") 1 8) "_temp")
)
)
)